@echo off
rem InstallEngineService.bat
rem
rem Installs SmedgeEngine as a Service on the local machine
rem
rem Smedge 3
rem Copyright Uberware. All Rights Reserved



rem NOTE: This script is meant to be run by a system administrator. 
rem NOTE: It does not check that the current running use has administrative privileges.
rem NOTE: Use by a non-administrator will lead to failure and inconsistent behavior


rem Initialize the variables for the installation

set _COMPONENT=SmedgeEngine
set _DISPLAY=Smedge Engine
set _MESSAGE=Enables this machine to work on the Smedge network even with no user logged into the console


rem call the common service installer script

call "%~dp0InstallService.bat" %*


rem clean up

set _COMPONENT=
set _DISPLAY=
set _MESSAGE=
